DVDaDVD±R  

Retroceder   DVDaDVD±R > General > Mundo Linux

Mundo Linux Foro para todo lo concerniente a Linux y derivados, en especial orientado a la autoria y copia de DVDs.


Respuesta
 
Herramientas
Antiguo 07-Mar-2017, 17:43   #46
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
En este momento estamos en un entorno KDE Plasma de Slackware Live y con una instalación de la misma en una disco del equipo. Se puede continuar explorando virtualmente el sistema, o bien, reiniciar la máquina.




En este punto ya hemos iniciado el nuevo sistema Slackware Plasma en nuestra máquina, nos hemos registrado como superusuario root y podemos continuar completamente creando un nuevo usuario y/o iniciando Xorg.

Este gráfico pertenece a mi máquina Sabertooth con dos monitores, y el sistema Slackware Live instaló el controlador "nouveau" que funciona plenamente tal como se puede apreciar.

Se instaló Chrome y LibreOffice tal como está posteado anteriormente, no hay diferencia en esta versión Live, y de momento el sistema se muestra estable, lo cual es de agradecer.
Tan pronto tenga novedades serán posteadas convenientemente.

Saludetes
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 10-Mar-2017, 11:51   #47
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Bueno, ya recibí respuesta del desarrollador "alienbob" y la cuestión no es muy alentadora, al parecer GRUB no se tiene en cuenta como Gestor de Arranque de Slackware Live, aunque funcione en la versión estable 14.2; estas cosas suelen suceder cuando estamos manejando sistemas avanzados y novedosos.

La otra cara es que es necesario reparticionar el disco de la siguiente forma:
1ª - Partición de arranque UEFI con un volumen de 200MB suficiente para instalar GRUB.
2º - Partición raíz cuyo volumen aproximado será de 50GB. Mínimo de 10GB.
3ª - Partición de intercambio (swap) con un volumen igual a la memoria RAM instalada.
4ª - Partición para el usuario (/home) con un volumen discrecional disponible en el disco.


La instalación a disco funciona estable y para agregar aplicaciones es igual a la versión 14.2, o sea, el mismo modus operandi ....

Tengo pendiente de investigar eLILO que, al parecer, será el futuro Gestor de Arranque en máquinas EFI.
Saludetes
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 10:20   #48
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
En el blog "Alien Pastures" del amigo Alien BOB nos presenta lo último de Slackware What’s new in KDE 5_17.04?, es decir, la versión de Slackware con KDE 5_17.04 que contiene KDE Frameworks 5.33.0, Plasma 5.9.4 and Applications 17.04.0.
Para probar el software se descarga la imagen ISO desde aquí ...
Una vez conseguida la descarga y grabada en un soporte DVD podremos ejecutarla como LiveDVD.

Bien, este escritorio se consigue siguiendo los mismos procedimientos expuestos anteriormente, ver mensaje #38, es decir, que al solicitar un nombre de usuario se escribirá en la casilla correspondiente live y si se tercia una contraseña también se escribirá live ...
Con ello dispondremos de un sistema Linux Slackware KDE 5 en modo directo, o sea, virtual.
El rendimiento es bueno pero lento, debido a que debe cargar en memoria desde el dispositivo CDROM las solicitudes de aplicaciones que se realicen para correr.
La instalación a disco es otro cantar (estoy en ello), NO contempla un instalador (setup2hd) como en la versión anterior y hay que partir desde una instalación de la versión 14.2 o desde otra instalación de la KDE Plasma.
En primer lugar he tenido que traducir un archivo README del inglés al español las instrucciones para realizar una upgrade al KDE 5 que, dicho sea de paso, no es para principiantes.
No se preocupen quienes estén interesados, dichas instrucciones serán posteadas a continuación ...

Sigue ...
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 18:20   #49
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Para instalar o actualizar KDE 5, siga estos pasos:

Aquí está KDE 5_17.04 para Slackware, consistiendo de KDE Frameworks 5.33.0, Plasma 5.9.4 y Applications 17.04.0 en la parte superior de Qt 5.7.1.

Actualizar desde el 5_17.03 anterior es sencillo.

KDE-5_17.04 está destinado a ser instalado en la parte superior de Slackware -current. ¡Se *reemplazará* cualquier versión de KDE 4 que pueda haber instalado! Plasma 5 se ha liberado de Qt4 legacy.

¿Cuál es la NOTICIA en este lote de actualizaciones?:
La sección 'deps' tiene un paquete recompilado (debido a incompatibles actualizaciones de la biblioteca en slackware -current): dvdauthor y cinco actualizaciones:
accountsservice, frei0r-plugins, gpgme, ninja y poppler.
También hay un nuevo paquete: qtav como una nueva dependencia para digikam.

Frameworks 5.33.0 es una versión de corrección de errores.
Consulte https://www.kde.org/announcements/kd...rks-5.33.0.php

Plasma 5.9.4 es otra iteración de la serie 5.9 con pequeñas correcciones solamente.
Consulte https://www.kde.org/announcements/plasma-5.9.4.php

Applications 17.04.0 es un nuevo lanzamiento importante. Nuevamente algunas aplicaciones basadas en kdelibs4 restantes han sido portadas a KF5.
Consulte https://www.kde.org/announcements/an...ns-17.04.0.php

El k3b ahora es parte de la suite Applications, por lo que se ha eliminado el paquete
basado en una instantánea git de 'applications-extra'. Otro paquete que ya no es parte del conjunto 'ktown': kajongg (requiere python3 ahora).
Dos paquetes ya no se envían porque sus fuentes ya no son parte de Applications: pim-storage-service-manager y kommander.

En applications-extra se han añadido las últimas versiones de la suite kdevelop y de kpmcore (las bibliotecas de núcleo de partitionmanager). Se ha reconstruido digikam contra qtav.
El nuevo calligra ya fue añadido la semana pasada como parte de un paquete de reconstrucción, causada por slackware -current de las bibliotecas actuales.

En kde4-extragear se ha añadido audiocd-kio4 y libkcompactdisc4 que son construidas desde kdelibs4 basado en fuentes de Applications 16.08.3.
Los paquetes audiocd-kio4, libkcddb4 y libkcompactdisc4 son (solo) requeridos por kaudiocreator.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 18:21   #50
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Otros puntos de interés:
Hay un par de dependencias *runtime* que no se han añadido al repositorio ktown, pero puede que desee considerar instalarlas usted mismo:
vlc - le dará a phonon otro backend para seleccionar.
freerdp: acceso a los servidores RDP a través de krdc.
Todos estos se pueden encontrar en el repositorio de paquetes normal.
Los siguientes paquetes kde/kde4-extragear deben tomarse desde slackware mismo: kaudiocreator, kplayer, kwebkitpart, oxygen-gtk2.
Muchos paquetes en el departamento 'deps' son completamente nuevos para Slackware.
Dado que KDE 5 alias Plasma 5 se basa en Qt5 (KDE 4 utiliza Qt4 como base) encontrará muchos paquetes relacionados con Qt5. Además, para que Qt4 y GTK se basen en aplicaciones para acoplarse a la bandeja del sistema Plasma 5, es necesario. Por lo tanto, aparte de las actualizaciones de los paquetes de Slackware nuevos paquetes de soporte de telepathy (ver abajo), estos son los nuevos:
OpenAL, PyQT5, cfitsio, dvdauthor, frei-plugins, grantlee-qt4, hack-font-ttf, json-glib, lensfun, libappindicator, libdbusmenu-gtk, libdbusmenu-qt5, libdmtx, libindicator, libinput, libwacom, libxkbcommon, lmdb, mlt, ninja, noto-font-ttf, noto-cjk-fuente-ttf, opencv, polkit-qt5-1, qca-qt5, qrencode, qt-gstreamer, qt5, qt5-webkit, sni-qt, vid.stab y wayland. Como una nota lateral, libinput y libwacom se han convertido en parte de Slackware -current. Técnicamente eso los hace redundantes en lo anterior, sin embargo todavía compilar paquetes de Plasma5 para Slackware 14.2 así que se dejaron dentro.
Los paquetes phonon y poppler fueron extendidos para que ellos ahora soportan Qt4 así como también Qt5.
Tenga en cuenta que la versión SBo del paquete 'frei0r-plugins' es llamado 'frei0r'.
Si se tiene instalado el paquete SBo, removerlo.
Un subconjunto completamente nuevo de paquetes "deps", contenido en su propio subdirectorio de "telepathy", necesario para KDE Telepathy:
libotr, libnice, farstream, libaccounts-glib, libaccounts-qt5, signon, signon-plugin-oauth2, signon-ui, libsignon-glib, telegram-qt, telepathy-glib, telepathy-farstream, telepathy-haze, telepathy-gabble, telepathy-morse, telepathy-qt5, telepathy-logger, telepathy-logger-qt5, telepathy-mission-control y telepathy-accounts-signon.
Los paquetes de Telepathy para KDE se encuentran en su propio subdirectorio kde/telepathy.
Los directorios kde/kde4 y kde/kde4-extragear contienen paquetes que todavía se requieren para soportar aplicaciones basadas en kdelibs4.
También vale la pena mencionar: los puertos KF5 de calligra, digikam, krita, ktorrent, partitionmanager, skanlite y KDE Development Suite pueden encontrarse en kde/applications-extra.
Finalmente, kjots (anteriormente contenidos en KDEPIM) y kuser (abandonados por su desarrollador) también se han trasladado a kde/applications-extra.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 18:28   #51
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
NOTA: Si instala un programa de 32 bits en una computadora Slackware de 64 bits con multilib y ese programa necesita soporte de bandeja de sistema heredado (piense en Skype por ejemplo), tendrá que tomar la versión de 32 bits de Slackware 'Libdbusmenu-qt' y el paquete ktown-deps 'sni-qt', y ejecute el comando 'convertpkg-compat32 -i' para crear versiones 'compat32' de estos paquetes. Luego instale 'libdbusmenu-qt-compat32' y 'sni-qt-compat32'. Estos dos son complementos obligatorios para mostrar los iconos de la bandeja del sistema de binarios de 32 bits en 64bit multilib Plasma5.

NOTA: También se explica con más detalle a continuación, actualizar a este KDE 5 no es trivial. Deberá eliminar manualmente los paquetes antiguos de KDE 4. Si no tiene KDE instalado en absoluto, tendrá que *instalar* algunos de los propios KDE 4 de Slackware manualmente.

NOTA: Si decide instalar estos paquetes encima de una nueva instalación de Slackware 14.2 o -current y ha excluido todos los paquetes de la serie de paquetes 'KDE' durante la instalación, le faltarán varios paquetes complementarios. Opcionalmente, puede instalar los siguientes paquetes de Slackware:
amarok
kaudiocreator
kplayer
kwebkitpart
oxygen-gtk2
NOTA: Si ha instalado previamente KDE 4 como su escritorio predeterminado, la eliminación de los paquetes de KDE 4 romperá el enlace simbólico '/etc/X11/xinit/xinitrc'.
Un intento de ejecutar 'startx' en una consola fallará con una pantalla en negro.
Después de instalar Plasma 5 por primera vez, debe ejecutar 'xwmconfig' y seleccionar 'xinitrc.plasma' como su sesión de escritorio.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 18:42   #52
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Instale los paquetes pre-compilados:

En orden a instalar o actualizar KDE 5, siga estos pasos:
Asegúrese de que no está ejecutando KDE ni siquiera X! Si está ejecutando una sesión X, primero cierre sesión, y si está en el nivel de ejecución 4 (inicio de sesión gráfico) primero debe volver al nivel de ejecución 3 (consola) escribiendo "init 3".

Si todavía tiene instalado un KDE4, debe quitarlo primero. Sin limpiar la ruta de actualización puede ser proveída! Haga lo siguiente:
Si tiene Slackware 14.2 o –current’s predeterminado KDE 4.14.3 instalado:
removepkg /var/log/packages/*-4.14.3-*
removepkg libkscreen
removepkg kscreen
removepkg kactivities
removepkg kde-workspace
removepkg libmm-qt
removepkg libnm-qt
removepkg plasma-nm
removepkg polkit-kde-agent-1
removepkg polkit-kde-kcmodules-1
removepkg kdeconnect-kde
removepkg kdepim
removepkg kdepimlibs
removepkg kdev-python
removepkg kdevelop-php
removepkg kdevelop-php-docs

... o en lugar de lo anterior, simplemente 'slackpkg remove kde' y de-seleccione los paquetes que desee conservar (amarok, etc.).
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 28-Apr-2017, 18:47   #53
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Alternativamente, en caso de que ya estuviera utilizando una versión anterior de los paquetes de KDE 5, debe buscar esa versión en particular en la lista de a continuación (por ejemplo: KDE 5_16.08) y luego aplicar las acciones mostradas para esa versión de KDE 5 *y* todas las versiones más recientes, es decir, trabajar su camino de regreso a este párrafo.
Tenga en cuenta que algunos de los antiguos nombres de paquetes de KDE estaban obsoletos a lo largo del camino, se dividieron, se cambiaron de nombre o se integraron y esa es la razón de algunas de las líneas 'removepkg' que verá a continuación.
Ahí vamos:
Si tiene el conjunto 'ktown' de KDE 5_17.03 instalado:
Actualizar a KDE 5_17.04
Quite los paquetes que ya no existen en KDE 5_17.04:
removepkg kajongg
removepkg kommander
removepkg pim-storage-service-manager
Si tiene el conjunto 'ktown' de KDE 5_17.02 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_17.01 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_16.12 instalado:
Actualizar a KDE 5_17.01

Si está ejecutando Slackware -current, instale o actualice manualmente libinput y libwacom a las versiones de Slackware.
Elimine los paquetes que ya no existen en KDE 5_17.01:
removepkg kactivities
removepkg nepomuk
removepkg nepomuk-widgets
removepkg gpgmepp
removepkg kdgantt2
removepkg kde-baseapps kdepim kdewebdev
Si tiene el conjunto 'ktown' de KDE 5_16.11 instalado:
Actualizar a KDE 5_16.12
Quite los paquetes que ya no existen en KDE 5_16.12:
removepkg baloo
removepkg baloo-widgets
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 07:23   #54
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Si tiene el conjunto de 'ktown' de KDE 5_16.08 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_16.07 instalado:
Actualizar a KDE 5_16.08
Quite los paquetes que ya no existen en KDE 5_16.07:
removepkg kdegraphics-strigi-analyzer
removepkg kdenetwork-strigi-analyzers
rempovepkg kdesdk-strigi-analyzer
removepkg kdepimlibs libkdeedu mplayerthumbs
Si tiene el conjunto 'ktown' de KDE 5_16.06 instalado:
Actualizar a KDE 5_16.07
Quite los paquetes que ya no existen en KDE 5_16.07:
removepkg /var/log/packages/noto-font-ttf-2015-09-29-noarch-1alien
Si tiene el conjunto 'ktown' de KDE 5_16.05 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_16.04 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_16.03 instalado:
Actualizar a KDE 5_16.04
Quite los paquetes que ya no existen en KDE 5_16.04:
removepkg kactivities-workspace
Si tiene el conjunto 'ktown' de KDE 5_16.02 instalado:
No se necesitan más acciones.

Si tiene el conjunto 'ktown' de KDE 5_16.01 instalado:
No se necesitan más acciones.

A continuación, proceda a instalar/actualizar KDE 5 como se describe a continuación.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 07:24   #55
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
NOTA: Los comandos de ejemplo a continuación son para Slackware -current pero también puede utilizar estos comandos para Slackware 14.2 reemplazando /current/ string por /14.2/ (siempre que haya una versión 'ktown' disponible para Slackware 14.2 por supuesto):

NOTA: En lugar de usar el host espejo bear.alienbase.nl/mirrors/alien-kde/, puede elegir el host principal alien.slackbook.org/alien/ktown/ pero probablemente será mucho más lento para algunos de ustedes.

NOTA: Si usa 'slackpkg' para automatizar sus actualizaciones, asegurarse de incluir en la lista negra los paquetes personalizados o bien slackpkg siempre intentará reemplazar los paquetes con las versiones de Slackware si los nombres de los paquetes son idénticos.
Como ejemplo, puede agregar las siguientes líneas al archivo "/etc/slackpkg/blacklist" para evitar esta degradación no intencional a KDE4:
Estas tres líneas incluirán en la lista negra todos los paquetes SBo, alien y multilib:
[0-9]+_SBo
[0-9]+alien
[0-9]+compat32
Si por otro lado está usando la extensión 'slackpkg+' para slackpkg entonces su archivo "/etc/slackpkg/blacklist" debería *no* contener las líneas anteriores! La extensión slackpkg+ permite el uso de repositorios de terceros con slackpkg y luego las actualizaciones de paquetes de Plasma5 se manejarán correctamente.

Para que sea fácil para usted, aquí hay un comando de una línea que descarga todo el directorio "5" (excluyendo las fuentes), con paquetes de 32 y 64 bits.
rsync -av rsync://bear.alienbase.nl/mirrors/alien-kde/current/5/ 5/
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 07:35   #56
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
O bien, si desea descargar paquetes para sólo una de las dos arquitecturas soportadas, ejecute uno de los siguientes comandos en su lugar (tenga en cuenta que hay un espacio antes del final de estos comandos que representa el directorio 5/).

Si desea sólo los paquetes de 64 bits:
rsync -av --exclude=x86 rsync://bear.alienbase.nl/mirrors/alien-kde/current/5/ 5/
Si desea sólo los paquetes de 32 bits:
rsync -av --exclude=x86_64 rsync://bear.alienbase.nl/mirrors/alien-kde/current/5/ 5/
Suponiendo que acaba de descargar los bits que desea en el árbol de directorios "5", ahora debe cambiar su directorio actual a donde encontró este README (que es el directorio llamado '5'). Si utilizó uno de los comandos "rsync" anteriores, simplemente puede hacer lo siguiente:
cd 5
Desde este directorio, ejecuta los siguientes comandos como root:
En Slackware de 32 bits:
upgradepkg --reinstall --install-new x86/deps/*.t?z
upgradepkg --reinstall --install-new x86/deps/telepathy/*.t?z
upgradepkg --reinstall --install-new x86/kde/*/*.t?z
En Slackware de 64 bits:
upgradepkg --reinstall --install-new x86_64/deps/*.t?z
upgradepkg --reinstall --install-new x86_64/deps/telepathy/*.t?z
upgradepkg --reinstall --install-new x86_64/kde/*/*.t?z
Si ya tiene instalado uno o más paquetes de idioma no inglés:
En Slackware de 32 bits:
upgradepkg x86/kdei/*.t?z
En Slackware de 64 bits:
upgradepkg x86_64/kdei/*.t?z
Si desea instalar un paquete de idioma que no sea el inglés, pero ninguno está instalado, sustituya el código de país en lugar del símbolo XX (en español es) en el siguiente comando:
upgradepkg --install-new x86_64/kdei/kde-l10n-XX-*.t?z
Compruebe si se han dejado atrás los archivos de configuración ".new".
Los comandos upgradepkg. Compárelos con sus originales y decida si necesita usarlos.
find /etc/ -name "*.new"
Una herramienta gráfica (ncurses) para procesar estos archivos "*.new" es slackpkg:
slackpkg new-config
A continuación, reinicie el sistema.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 07:50   #57
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Si todo lo que quiere es instalar los paquetes que se han creado, entonces puede saltar el resto del README que detalla cómo (re)compilar los paquetes desde sus fuentes; no es necesario leer material.

----------------------------------------------------------------------------------------------------------------------------------------
Construirlo todo desde la fuente:
----------------------------------------------------------------------------------------------------------------------------------------
Fuentes y scripts están separados de los paquetes en el repositorio 'ktown'.
Si desea las fuentes de KDE 5, ejecute el siguiente comando para descargarlas (descargar desde un espejo suele ser mucho más rápido):
rsync -av rsync://bear.alienbase.nl/mirrors/alien-kde/source/5/ 5/
Hay muchas "dependencias" para KDE 5 que tendrá que compilar e instalar antes de intentar compilar KDE 5. Compilar e instalar estas dependencias en Slackware -current es tan fácil como:
cd 5/deps
./updates.SlackBuild
cd -
cd 5/deps/telepathy
./telepathy.SlackBuild
cd -
Esté preparado para esperar un *largo* tiempo ya que esto compilará un nuevo paquete Qt5 entre otros. Los paquetes terminados se almacenarán en /tmp y ya se habrán instalado / actualizado automáticamente.

Luego, si desea compilar los paquetes de KDE en su computadora, ejecute:
cd 5/kde
./KDE.SlackBuild
Espere un largo tiempo, y encontrará los paquetes nuevos en /tmp/kde_build.
Tenga en cuenta que estos paquetes ya han sido instalados por KDE.SlackBuild!

Reinicie su computadora e inicie sesión en una sesión de plasma.

----------------------------------------------------------------------------------------------------------------------------------------------
Eric Hameleers / alien en slackware.com / 20-apr-2017

PostData: Aquí termina este importante README traducido del inglés al español para que la concurrencia se anime a enfrentarse a la instalación de KF5 en Slackware.
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 12:42   #58
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
Venga vamos a por la tarea específica, actualizar una instalación de Slackware 14.2 (current) a la nueva KDE 5 17.04 desarrollada por alienBOB ...

El fichero README anterior expuesto es genérico para cualquier equipo determinado, del cual hay que extraer el procedimiento apropiado a una determinada máquina, eso es, para un equipo (doméstico) de escritorio de 64bits ...

En mi caso, tengo por costumbre no ejecutar Xorg automáticamente en el inicio/arranque de la máquina, eso es, cuando arranca el sistema se queda en la consola con el indicador localhost login: _ para registrar el usuario en cuestión, luego se inician las X's con el comando startx.

Por consiguiente, para esta tarea nos situamos en la consola registrados como superusuario root.
Emito los siguientes comandos de uno en uno cada vez:
removepkg /var/log/packages/*-4.14.3-*
removepkg libkscreen
removepkg kscreen
removepkg kactivities
removepkg kde-workspace
removepkg libmm-qt
removepkg libnm-qt
removepkg plasma-nm
removepkg polkit-kde-agent-1
removepkg polkit-kde-kcmodules-1
removepkg kdeconnect-kde
removepkg kdepim
removepkg kdepimlibs
removepkg kdev-python
removepkg kdevelop-php
removepkg kdevelop-php-docs
Alternativamente puede obviar tanto tecleo por emitir un solo comando tal como este:
slackpkg remove kde
A continuación tenemos que restablecer dos librerías (libinput y libwacom) que necesitaremos, para ello emitimos lo siguiente:
slackpkg install libinput libwacom
Sigue ...
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 29-Apr-2017, 15:52   #59
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto
En este punto ya tenemos al sistema desprovisto del KDE 4.14.3 y limpio, ahora descargaremos todo el software nuevo en el directorio "5" (excluyendo las fuentes) con paquetes de 32bits y 64bits ...
rsync -av rsync://bear.alienbase.nl/mirrors/alien-kde/current/5/ 5/
Pacientemente esperaremos la descarga en el árbol de directorios "5", y ahora simplemente haremos lo siguiente:
cd 5
upgradepkg --reinstall --install-new x86_64/deps/*.t?z
upgradepkg --reinstall --install-new x86_64/deps/telepathy/*.t?z
upgradepkg --reinstall --install-new x86_64/kde/*/*.t?z
upgradepkg --install-new x86_64/kdei/kde-l10n-es-*.t?z
find /etc/ -name "*.new"
slackpkg new-config
reboot

Después de instalar Plasma 5 por primera vez, debe ejecutar 'xwmconfig' ...
xwmconfig


... y seleccionar 'xinitrc.plasma' como su sesión de escritorio.
reboot
startx

... y et VOILÁ.

Saludetes
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Antiguo 26-Jul-2017, 17:13   #60
Luciérnaga
I'm a self-taught
 
Avatar de Luciérnaga
 
Fecha de Ingreso: November-2003
Ubicación: LANDETE (Cuenca)
Mensajes: 8.997
Luciérnaga llegará a ser famoso muy pronto


Esta es la última de Slackware ...

Concretamente esa imagen ISO remarcada en color rojo.
Es una LiveDVD del desarrollador Alienbob y que funciona correctamente en la máquina Sabertooth, habiéndo reconocido los dos monitores (aunque el gráfico no lo postee), la carga de todo el sistema en memoria (virtual) transcurre un poco lento pero efectivo, e incorpora un mogollón de aplicaciones, voy a intentar instalarla en éste equipo.
Cuando solicite la contraseña poner live

Saludetes
__________________
Linuxero - Soy como una diminuta luciérnaga perdido en la inmensa oscuridad del universo
Gentoo Linux Tutorial 2018 y FreeBSD CURRENT
Luciérnaga no ha iniciado sesión   Responder Citando
Respuesta

Herramientas

Normas de Publicación
No puedes crear nuevos temas
No puedes responder temas
No puedes subir archivos adjuntos
No puedes editar tus mensajes

Los Códigos BB están Activado
Las Caritas están Activado
[IMG] está Activado
El Código HTML está Desactivado

Ir al Foro


La franja horaria es GMT +1. Ahora son las 02:19.


Desarrollado por: vBulletin®
Derechos de Autor ©2000 - 2018, Jelsoft Enterprises Ltd.
Traducido por mcloud de vBhispano.com

vBulletin, Copyright ©2000 - 2003, Jelsoft Enterprises Limited